function [ ] = plot_figure1 ( )
% plot delta_r across ROI distances
sdst = Read_1D('seeds_distance.1D');
cd INDI_Lite_NIFTI/cohort1
anal1 = { 'A', 'B', 'C', 'D'};
scrb={'.results', '.cen.results'};

ss = { 'sub0015001','sub0015008','sub0015018','sub0015024','sub0015063','sub0015067','sub0015002','sub0015013','sub0015019','sub0015026','sub0015064','sub0015068','sub0015003','sub0015016','sub0015020','sub0015028','sub0015065','sub0015004','sub0015017','sub0015021','sub0015049','sub0015066' };


for i=1:size(sdst,2)
  for j=1:size(sdst,2)
    if (j<=i)
      sdst(i,j)=0;
    end
  end
end

x = sdst(sdst>0);
[xx,idx] = sort(x);
  
  % 12 interval 
  dint1 = idx(1:2893);
  dint2 = idx((2893+1):(2893*2));
  dint3 = idx((2893*2+1):(2893*3));
  dint4 = idx((2893*3+1):(2893*4));
  dint5 = idx((2893*4+1):(2893*5));
  dint6 = idx((2893*5+1):(2893*6));
  dint7 = idx((2893*6+1):(2893*7));
  dint8 = idx((2893*7+1):(2893*8));
  dint9 = idx((2893*8+1):(2893*9));
  dinta = idx((2893*9+1):(2893*10));
  dintb = idx((2893*10+1):(2893*11));
  dintc = idx((2893*11+1):(2893*12));

dx = mean( [ x(dint1), x(dint2), x(dint3), x(dint4), x(dint5), x(dint6), x(dint7), x(dint8), x(dint9), x(dinta), x(dintb), x(dintc) ]);

figure('Color',[1 1 1]);

for lll = 1:size(anal1,2)
  nanaco = 0;
  dco=0;
  for i = 1: size(ss,2)
    co_1 = Read_1D([ char(ss(i)) '/' char(anal1(lll)) char(scrb(1)) '/TS_ALL.corr.1D' ]); 
    co_2 = Read_1D([ char(ss(i)) '/' char(anal1(lll)) char(scrb(2)) '/TS_ALL.corr.1D' ]); 
    dco = dco+co_2-co_1;
  end
  dco=dco/(size(ss,2));
  y = dco(sdst>0);

  dy = mean( [ y(dint1), y(dint2), y(dint3), y(dint4), y(dint5), y(dint6), y(dint7), y(dint8), y(dint9), y(dinta), y(dintb), y(dintc) ]);

  subplot(1, size(anal1,2), lll);
  scatter(x, y, x*0+1,'r');
  hold on;
  xlim( [0,180]);ylim( [-0.2,0.2]);line( [0 180],[0 0 ], [0 0], 'Color', 'k');
  plot( dx, dy, 'ob-', 'LineWidth',2, 'MarkerSize',10);
  box
end
cd ../../
saveas(gcf,['fig1_scatter.fig']);
saveas(gcf,['fig1_scatter.tif']);

